Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 786738 - app-dicts/kasumi-2.5-r1 fails to compile with gcc-11 (KasumiConfiguration.hxx:41:32: error: ISO C++17 does not allow dynamic exception specifications)
Summary: app-dicts/kasumi-2.5-r1 fails to compile with gcc-11 (KasumiConfiguration.hxx...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: CJK Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-04-29 09:54 UTC by Agostino Sarubbo
Modified: 2021-08-12 06:23 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,25.72 KB, text/plain)
2021-04-29 09:54 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-04-29 09:54:25 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: app-dicts/kasumi-2.5-r1 fails to compile with gcc-11.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This machine uses GCC-11: https://gcc.gnu.org/gcc-11/porting_to.html
Comment 1 Agostino Sarubbo gentoo-dev 2021-04-29 09:54:27 UTC
Created attachment 703803 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2021-04-29 09:54:30 UTC
Possible context of error(s):

KasumiConfiguration.hxx:41:32: error: ISO C++17 does not allow dynamic exception specifications
Comment 3 Sam James archtester gentoo-dev Security 2021-07-25 22:29:15 UTC
Is anybody still using this? Upstream seems gone.
Comment 4 Larry the Git Cow gentoo-dev 2021-08-04 22:18:04 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd3c320f3d37cb36a920c491cddea716bd4d9f9f

commit cd3c320f3d37cb36a920c491cddea716bd4d9f9f
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-08-04 21:50:51 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-08-04 22:17:54 +0000

    profiles: last-rite app-dicts/kasumi
    
    Bug: https://bugs.gentoo.org/786738
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/package.mask | 5 +++++
 1 file changed, 5 insertions(+)
Comment 5 Larry the Git Cow gentoo-dev 2021-08-04 22:45:27 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36d5d9e95f1dc6bed76dd8c5cba662e555a5a02b

commit 36d5d9e95f1dc6bed76dd8c5cba662e555a5a02b
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-08-04 22:44:40 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-08-04 22:45:15 +0000

    profiles/base: mask app-i18n/scim-anthy[kasumi]
    
    Needs last-rited app-dicts/kasumi.
    
    Bug: https://bugs.gentoo.org/786738
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/base/package.use.mask | 5 +++++
 1 file changed, 5 insertions(+)
Comment 6 Sophie Hamilton 2021-08-11 18:43:17 UTC
To answer the question - I personally still use this, because I'm not sure of any replacement for updating Anthy's dictionary of words, which I use a lot as I use it to write in Japanese.

If anybody knows any replacement, *please* let me know!
Comment 7 Sam James archtester gentoo-dev Security 2021-08-11 18:46:43 UTC
(In reply to Sophie Hamilton from comment #6)
> To answer the question - I personally still use this, because I'm not sure
> of any replacement for updating Anthy's dictionary of words, which I use a
> lot as I use it to write in Japanese.
> 
> If anybody knows any replacement, *please* let me know!

If you’re using it, I’ll put the time into trying to fix it instead. Let me have a look.

Problem is, with a lot of this stuff which fails on newer GCCs, we end up giving them mercy and fixing them, then they break on the next release anyway, etc etc, so I’m trying to cull off those types of packages. But very happy to keep stuff if it’s still useful to somebody.
Comment 8 Larry the Git Cow gentoo-dev 2021-08-11 19:34:41 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=285e1a672ff243daf762fbf3a77d6ece1a75f3e8

commit 285e1a672ff243daf762fbf3a77d6ece1a75f3e8
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-08-11 19:33:56 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-08-11 19:34:17 +0000

    app-dicts/kasumi: update EAPI 6 -> 7, fix build with GCC 11
    
    Closes: https://bugs.gentoo.org/786738
    Signed-off-by: Sam James <sam@gentoo.org>

 .../kasumi/files/kasumi-2.5-fix-build-gcc-11.patch | 207 +++++++++++++++++++++
 app-dicts/kasumi/kasumi-2.5-r1.ebuild              |  13 +-
 2 files changed, 215 insertions(+), 5 deletions(-)
Comment 9 Larry the Git Cow gentoo-dev 2021-08-11 19:36:08 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91d85c0be4efac7d768f14eebc8a5017621ac531

commit 91d85c0be4efac7d768f14eebc8a5017621ac531
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-08-11 19:35:13 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-08-11 19:35:13 +0000

    profiles: drop app-dicts/kasumi masks
    
    Closes: https://bugs.gentoo.org/786738
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/base/package.use.mask | 5 -----
 profiles/package.mask          | 5 -----
 2 files changed, 10 deletions(-)
Comment 10 Sophie Hamilton 2021-08-12 06:23:02 UTC
Thank you very much!

In my hunt for a replacement last night I did find https://github.com/2ion/anthy-dic-cli/ , but haven't tried it yet since development stopped in 2013 due to the author switching input methods (hah!).

Seriously though, I didn't realise Anthy was this unsupported. It's tempting to follow the author of that tool and go to mozc instead, but that means more Google code on my computer >_>

I certainly don't want to require you to keep supporting Kasumi for just one person though, so in the absence of any evidence that there's a better tool, I'll look into switching. Thank you for the fix, meanwhile!